PETSc version 3.15.5
Fix/Edit manual page

# TaoSetJacobianInequalityRoutine

Sets the function to compute the Jacobian (and its inverse) of the constraint function with respect to the inequality variables. Used only for pde-constrained optimization.

### Synopsis

    #include "petsctao.h"
    PetscErrorCode TaoSetJacobianInequalityRoutine(Tao tao, Mat J, Mat Jpre, PetscErrorCode (*func)(Tao, Vec, Mat, Mat,void*), void *ctx)

Logically collective on Tao

### Input Parameters

| tao | - the Tao context
| J | - Matrix used for the jacobian
| Jpre | - Matrix that will be used operated on by PETSc preconditioner, can be same as J.
| func | - Jacobian evaluation routine
| ctx | - [optional] user-defined context for private data for the Jacobian evaluation routine (may be NULL)

### Calling sequence of func

       func(Tao tao,Vec x,Mat J,Mat Jpre,void *ctx);

| tao | - the Tao context
| x | - input vector
| J | - Jacobian matrix
| Jpre | - preconditioner matrix, usually the same as J
| ctx | - [optional] user-defined Jacobian context

### See Also

TaoComputeJacobianInequality(), TaoSetJacobianDesignRoutine(), TaoSetInequalityDesignIS()

### Level

intermediate

### Location

src/tao/interface/taosolver_hj.c

### Examples

src/tao/constrained/tutorials/maros.c.html
src/tao/constrained/tutorials/ex1.c.html
Index of all Tao routines
Table of Contents for all manual pages
Index of all manual pages